Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionInfo

    java.lang.Object
      ru.biosoft.access.DataCollectionInfo

public final class DataCollectionInfo
extends java.lang.Object

To do:
  Document

Constructor Summary
`DataCollectionInfo(DataCollection dc, java.util.Properties properties, org.apache.log4j.Category cat)`

Method Summary
`void` | `addUsedFile(java.io.File file)` Say that file used by data collection.
`javax.swing.ImageIcon` | `getChildrenNodeImage()`
`java.util.Comparator` | `getComparator()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`javax.swing.ImageIcon` | `getNodeImage()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String key)` Returns value of the specified property from config file.
`QuerySystem` | `getQuerySystem()`
`java.util.List` | `getUsedFiles()` Return list of all files used by data collection.
`boolean` | `isLateChildrenInitialization()`
`boolean` | `isVisible()` Is this collection should be visible in repository tree.
`boolean` | `isVisibleChildren()` Is elements of this collection should be visible in repository tree.
`void` | `setChildrenNodeImage(javax.swing.ImageIcon img)`
`void` | `setComparator(java.util.Comparator value)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDisplayName(java.lang.String value)`
`void` | `setLateChildrenInitialization(boolean lateChildrenInitialization)`
`void` | `setNodeImage(javax.swing.ImageIcon img)` Set image for this DataCollection node in repository pane.
`void` | `setQuerySystem(QuerySystem system)`
`void` | `setVisible(boolean f)` Set this collection visible/invisible in repository tree.
`void` | `setVisibleChildren(boolean f)` Set elements of this collection visible/invisible in repository tree.
`void` | `writeProperty(java.lang.String key, java.lang.String value)` Write new property to original config file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataCollectionInfo

    public DataCollectionInfo(DataCollection dc,
                              java.util.Properties properties,
                              org.apache.log4j.Category cat)

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String value)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### isVisible

    public boolean isVisible()

  Is this collection should be visible in repository tree.

  Returns:
    Is this collection should be visible in repository tree.

### setVisible

    public void setVisible(boolean f)

  Set this collection visible/invisible in repository tree.

  Parameters:
    `f` - Is this collection should be visible in repository tree.

### isVisibleChildren

    public boolean isVisibleChildren()

  Is elements of this collection should be visible in repository tree.

  Returns:
    Is elements of this collection should be visible in repository tree.

### setVisibleChildren

    public void setVisibleChildren(boolean f)

  Set elements of this collection visible/invisible in repository tree.

  Parameters:
    `f` - Is elements of this collection should be visible in repository tree.

### getNodeImage

    public javax.swing.ImageIcon getNodeImage()

  Returns:
    image for this DataCollection node in repository pane.

### setNodeImage

    public void setNodeImage(javax.swing.ImageIcon img)

  Set image for this DataCollection node in repository pane.

### getChildrenNodeImage

    public javax.swing.ImageIcon getChildrenNodeImage()

### setChildrenNodeImage

    public void setChildrenNodeImage(javax.swing.ImageIcon img)

### setComparator

    public void setComparator(java.util.Comparator value)

### getComparator

    public java.util.Comparator getComparator()

### isLateChildrenInitialization

    public boolean isLateChildrenInitialization()

### setLateChildrenInitialization

    public void setLateChildrenInitialization(boolean lateChildrenInitialization)

### setQuerySystem

    public void setQuerySystem(QuerySystem system)

### getQuerySystem

    public QuerySystem getQuerySystem()

### getUsedFiles

    public java.util.List getUsedFiles()

  Return list of all files used by data collection.

  Returns:
    List of all files used by data collection.

### addUsedFile

    public void addUsedFile(java.io.File file)

  Say that file used by data collection.

### getProperties

    public java.util.Properties getProperties()

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Returns value of the specified property from config file.

### writeProperty

    public void writeProperty(java.lang.String key,
                              java.lang.String value)
                       throws java.lang.Exception

  Write new property to original config file. Currently this method is essential only for adding `QuerySystem` to existing DataCollection.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.